syntax help...

Discussion in 'AutoCAD' started by Mark Dubbelaar, Aug 6, 2003.

  1. hi

    i've just started using functions and i'm am having a bit of trouble trying
    to get a selection set filter, for some reason this line doesn't work
    (setq SS (ssget '((cons 0 FilterType)))) .....
    code so far

    (defun GetMultiple (FilterType RunFunction / )

    (setq SS (ssget '((cons 0 FilterType))))

    (setq Count 0)
    (repeat (sslength SS)
    (setq NthEntity (ssname SS Count))
    (setq NthEntityProps (entget NthEntity))

    (RunFunction)
    (setq Count (1+ Count))
    )
    (princ)
    )


    (defun C:AU ()

    (initget 1 "Multiple")
    (while
    (setq TEXTOBJ
    (nentsel
    "\nSelect text to underline or shift-select to remove underline or
    [Multiple]: "
    )
    )
    (setq Shift (acet-sys-shift-down))

    (cond
    ((= TEXTOBJ "Multiple")
    (GetMultiple "TEXT" AddUnderline)
    )
    );cond
    );while
    (princ)
    )

    any help would be great

    cheers

    mark
     
    Mark Dubbelaar, Aug 6, 2003
    #1
  2. Can't quote a cons

    either

    (setq SS (ssget (list (cons 0 FilterType))))

    or

    (setq SS (ssget '((0 . ExactFilter))))
     
    Jason Piercey, Aug 6, 2003
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.